Bug 469507 - Sendmail's access doesn't treat 2001:db8:0:: same as 2001:db8:0000::
Sendmail's access doesn't treat 2001:db8:0:: same as 2001:db8:0000::
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2008-11-01 14:24 EDT by Robert Scheck
Modified: 2014-07-20 16:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-20 16:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2008-11-01 14:24:38 EDT
Description of problem:
Sendmail's access doesn't treat 2001:db8:0:: same as 2001:db8:0000:: - for 
example: Put

  FEATURE(`require_rdns')

into /etc/mail/sendmail.mc, after that put

  Connect:[IPv6:2001:db8:0000]     OK

into /etc/mail/access and reload sendmail. Try to deliver an e-mail from the
IPv6 network 2001:db8:0000/32, it will fail. Change line in /etc/mail/access
to:

  Connect:[IPv6:2001:db8:0]     OK

and reload sendmail again. Now try to deliver another e-mail from the network
2001:db8:0000/32, it will succeed. Unluckily 2001:db8:0:: and 2001:db8:0000::
are exact the same. It is just like 127.000.000.001 and 127.0.0.1. And what I
configured above would be in IPv4 something like this: "Connect:127.000 OK"
vs. "Connect:127.0 OK". - where the first doesn't work and the second does...

Version-Release number of selected component (if applicable):
sendmail-8.14.3-1

How reproducible:
Everytime, see above. Also reproducible without any IPv6 connection from a
localhost, just configure a IPv6 address e.g. from the IPv6 documentation 
prefix as I used for this bug report as well.

Actual results:
Sendmail's access doesn't treat 2001:db8:0:: same as 2001:db8:0000::

Expected results:
Sendmail should see 2001:db8:0:: and 2001:db8:0000:: as the same as it really
is the same.
Comment 1 Bug Zapper 2008-11-25 23:36:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Robert Scheck 2008-12-02 18:17:54 EST
Miroslav, ping?
Comment 3 Miroslav Lichvar 2008-12-03 11:32:59 EST
I can reproduce it, but I'm not really sure it's a bug.

The address is looked up in the map file as returned by inet_ntop() which uses zeroes only when necessary and the file has the addresses stored in text, exactly as specified in the access file. To perform any simplifications on the addresses makemap would have to understand the data it's writing to db file.
Comment 4 Bug Zapper 2009-06-09 05:50:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-03-15 08:08:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-02 14:25:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-04-03 14:16:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Robert Scheck 2014-07-20 16:27:45 EDT
The issue still exists, but this can not be solved without major changes in
this part in Sendmail - which is definately not downstream's job. Right now,
Sendmail is not aware about the kind of information - which would be needed.

Note You need to log in before you can comment on or make changes to this bug.